( function( $ ) {

	$( document ).ready( function() {

		'use strict';

		$('.video-play-btn').magnificPopup({
			disableOn: 700,
			type: 'iframe',
			mainClass: 'mfp-zoom-in',
			removalDelay: 160,
			preloader: false,
			fixedContentPos: false
		});

		// Contact form 7
		(function() {
			$('.discover-contact-form').find('.wpcf7-form-control').on('click', function() {
				var $this = $(this);
				$('.discover-contact-form').find('.wn-cnform').removeClass('wn-active');
				$this.closest('.wn-cnform').addClass('wn-active');
			});
		})();

		$('.donate-popup').magnificPopup({
		  delegate: '.donate-button',
		  removalDelay: 500, //delay removal by X to allow out-animation
		  callbacks: {
		    beforeOpen: function() {
		       this.st.mainClass = this.st.el.attr('data-effect');
		    }
		  },
		  midClick: true // allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source.
		});

		// Alerts
		var close = document.getElementsByClassName("close");
		var i;
		for (i = 0; i < close.length; i++) {
		    close[i].onclick = function(){
		        var div = this.parentElement;
		        div.style.opacity = "0";
		        setTimeout(function(){ div.style.display = "none"; }, 600);
		    }
		}

		// Masonry
		$(window).load(function() {
			if($('#pin-content').length){
				$('#pin-content').masonry({
					itemSelector: '.pin-box',
				}).imagesLoaded(function() {
					$('#pin-content').data('masonry');
				});
			}
		});

		// IconBox 22
		$('.icon-box22').on('mouseenter', function() {
			$('.icon-box22').removeClass('w-featured');
			$(this).addClass('w-featured');
		});
		
		// elements animation
		$('.max-title:not(.wn-done-anim), .subtitle-element:not(.wn-done-anim), .wn-layer-anim:not(.wn-done-anim), .title-plus-text:not(.wn-done-anim)').waypoint(function() {
			$(this).addClass('wn-done-anim');
		},
		{
			offset: '80%'
		});


		// FlexSlider			
		$(window).load(function() {
			$('.flexslider').flexslider({
				animation: 'slide',
				controlNav: true, 
				directionNav: true,
				prevText: '<i class="fa-chevron-left"></i>',
				nextText: '<i class="fa-chevron-right"></i>',
			});
		});


		// elements animation
		$('.max-title:not(.wn-done-anim), .subtitle-element:not(.wn-done-anim), .wn-layer-anim:not(.wn-done-anim), .title-plus-text:not(.wn-done-anim)').waypoint(function() {
			$(this).addClass('wn-done-anim');
		},
		{
			offset: '80%'
		});
		

		// Testimonial carousel
		(function(){
			var owl   = $('.testimonial-owl-carousel'),
				items = owl.data('testimonial_count');

			owl.owlCarousel({
				items : items,
				itemsDesktop : [1200,2], // 2 items between 1200px and 961px
				itemsDesktopSmall : [960,2], // 2 betweem 960px and 480px
				itemsMobile : [768,1], // 1 items between 768px and 0
				pagination: false,
				navigation: true,
				navigationText : ["",""],
			});
			$(".tc-navigation .next").click(function(){
				owl.trigger('owl.next');
			});
			$(".tc-navigation .prev").click(function(){
				owl.trigger('owl.prev');
			});
		})();


		// Latest From Blog Carousel
		jQuery(".latest-b-carousel").owlCarousel({
			items : $(this).data('items'),
			itemsDesktop : [1200,3], // 3 items between 1200px and 961px
			itemsDesktopSmall : [960,2], // 2 betweem 960px and 480px
			itemsMobile : [479,1], // 1 items between 479px and 0
		  	autoPlay : true,
			pagination : false,
			navigation : true,
			navigationText : ["",""],
		});


		// Webnus Image Carousel
		jQuery(".w-image-carousel").owlCarousel({
			items : $(this).data('items'),
		  	autoPlay : 2000,
			pagination : false,
			navigation : false,
			navigationText : ["",""],
		});
		$('.latest-b-carousel').find('.owl-item .vc_col-md-4').removeClass('vc_col-md-4 vc_col-sm-4').end().find('.owl-item .vc_col-md-3').removeClass('vc_col-md-3 vc_col-sm-3');
			

		// Our Clients carousel 
		jQuery("#our-clients.crsl").owlCarousel({
			autoPlay : true,
			pagination : false,
			navigation : true,
			navigationText : ["",""],
		});


		// Parallax Sections
		( function() {

			function pwa_create_parallax_html() {
				var deferred = $.Deferred();

				setTimeout(function() {
					$('.pwa-parallax').each( function() {
						var $this			= $(this),
							parallax_bg		= $this.data( 'pwa-parallax-bg' ),
							parallax_speed	= $this.data( 'pwa-parallax-speed' ),
							selector		= $this.hasClass( 'pwa-section' ) ? '.vc_section' : '.vc_row';

						$this.find( selector ).css( 'position', 'relative' ).prepend( '<div class="pwa-parallax-bg-holder" data-pwaparallax-speed="' + parallax_speed +'"><div class="pwa-parallax-bg" style="background-image: url(' + parallax_bg + ');"></div></div>' );
					});
					deferred.resolve();
				}, 1);

				return deferred.promise();
			}

			function pwa_start_parallax() {
				$('.pwa-parallax').each( function() {
					var $this						= $(this),
						window_innerheight			= window.innerHeight,
						section_height				= $this.outerHeight(),
						pwa_parallax_el				= $this[0],
						bounding_client				= pwa_parallax_el.getBoundingClientRect(),
						$pwa_parallax_bgholder		= $this.find( '.pwa-parallax-bg-holder' ),
						pwa_parallax_bgholder_el	= $this.find( '.pwa-parallax-bg-holder' )[0];

					var vertical_offset = ( bounding_client.top < 0 || bounding_client.height > window_innerheight ) ? ( bounding_client.top / bounding_client.height ) : bounding_client.bottom > window_innerheight ? ( ( bounding_client.bottom - window_innerheight ) / bounding_client.height ) : 0,
						parallax_speed  = $pwa_parallax_bgholder.data( 'pwaparallax-speed' );

					vertical_offset = -( vertical_offset * parallax_speed );
					TweenMax.set( pwa_parallax_bgholder_el, { force3D: 'true', y: vertical_offset } );
				});
			}

			pwa_create_parallax_html().done( function() {
				window.addEventListener( 'scroll', function() {
					window.requestAnimationFrame( pwa_start_parallax );
				}, false );

				pwa_start_parallax();
			});

		})();


		// Webnus Image Carousel
		jQuery(".w-image-carousel").owlCarousel({
			items : $(this).data('items'),
		  	autoPlay : 2000,
			pagination : false,
			navigation : false,
			navigationText : ["",""],
		});


		// Our Team Carousel
		jQuery(".our-service-carousel-wrap").owlCarousel({
			items : $(this).data('items'),
			itemsDesktop : [1200,3],        // 3 items between 1200px and 961px
			itemsDesktopSmall : [960,2],    // 2 betweem 960px and 480px
			itemsMobile : [479,1],          // 1 items between 479px and 0
		  	autoPlay : true,
			pagination : false,
			navigation : true,
			navigationText : ["",""],
		});


		// Countdown
		jQuery('.countdown-w').each(function() {
			var days = jQuery('.days-w .count-w', this);
			var hours = jQuery('.hours-w .count-w', this);
			var minutes = jQuery('.minutes-w .count-w', this);
			var seconds = jQuery('.seconds-w .count-w', this);
			var until = parseInt(jQuery(this).data('until'), 10);
			var done = jQuery(this).data('done');
			var self = jQuery(this);
			var updateTime = function() {
				var now = Math.round( (+new Date()) / 1000 );
				if(until <= now) {
					clearInterval(interval);
					self.html(jQuery('<span />').addClass('done-w block-w').html(jQuery('<span />').addClass('count-w').text(done)));
					return;
				}
				var left = until-now;
				seconds.text(left%60);
				left = Math.floor(left/60);
				minutes.text(left%60);
				left = Math.floor(left/60);
				hours.text(left%24);
				left = Math.floor(left/24);
				days.text(left);
			};
			var interval = setInterval(updateTime, 1000);
		});


		// Countdown Clock
		var doneMessage = jQuery('.countdown-clock').data('done');
		var futureDate  = new Date(jQuery('.countdown-clock').data('future'));
		var currentDate = new Date();
		var diff = futureDate.getTime() / 1000 - currentDate.getTime() / 1000;
		function dayDiff(first, second) {
			return (second-first)/(1000*60*60*24);
		}
		if (dayDiff(currentDate, futureDate) < 100) {
			jQuery('.countdown-clock').addClass('twoDayDigits');
		} else {
			jQuery('.countdown-clock').addClass('threeDayDigits');
		}
		if(diff < 0) {
			diff = 0;
			jQuery('.countdown-message').html(doneMessage);
		}
		var clock = jQuery('.countdown-clock').FlipClock(diff, {
			clockFace: 'DailyCounter',
			countdown: true,
			autoStart: true,
				callbacks: {
				stop: function() {
					jQuery('.countdown-message').html(doneMessage)
				}
			}
		});

		// Max Counter
		jQuery('.max-counter').each(function(i, el){
			var counter = jQuery(el).data('counter');
			if ( jQuery(el).visible(true) && !jQuery(el).hasClass('counted') ) {
				setTimeout ( function () {
					jQuery(el).addClass('counted');
					jQuery(el).find('.max-count').countTo({
						from: 0,
						to: counter,
						speed: 2000,
						refreshInterval: 100
					});
				}, 1000 );
			}
		});
		var win 	= jQuery(window),
			allMods = jQuery(".max-counter");
		win.on('scroll',  function(event) {
			allMods.each(function(i, el) {
				var el = jQuery(el),
					effecttype = el.data('effecttype');
				if( effecttype === 'counter') {
					var counter = el.data('counter');
					if ( el.visible(true) && !jQuery(el).hasClass('counted') ) {
						el.addClass('counted');
						el.find('.max-count').countTo({
							from: 0,
							to: counter,
							speed: 2000,
							refreshInterval: 100
						});
					}
				}
			});
		});
		jQuery.fn.countTo = function (options) {
			options = options || {};
			return jQuery(this).each(function () {
				// set options for current element
				var settings = jQuery.extend({}, jQuery.fn.countTo.defaults, {
					from:            jQuery(this).data('from'),
					to:              jQuery(this).data('to'),
					speed:           jQuery(this).data('speed'),
					refreshInterval: jQuery(this).data('refresh-interval'),
					decimals:        jQuery(this).data('decimals')
				}, options);
				// how many times to update the value, and how much to increment the value on each update
				var loops = Math.ceil(settings.speed / settings.refreshInterval),
					increment = (settings.to - settings.from) / loops;
				// references & variables that will change with each update
				var self = this,
					$self = jQuery(this),
					loopCount = 0,
					value = settings.from,
					data = $self.data('countTo') || {};
				$self.data('countTo', data);
				// if an existing interval can be found, clear it first
				if (data.interval) {
					clearInterval(data.interval);
				}
				data.interval = setInterval(updateTimer, settings.refreshInterval);
				// initialize the element with the starting value
				render(value);
				function updateTimer() {
					value += increment;
					loopCount++;
					render(value);
					if (typeof(settings.onUpdate) == 'function') {
						settings.onUpdate.call(self, value);
					}
					if (loopCount >= loops) {
						// remove the interval
						$self.removeData('countTo');
						clearInterval(data.interval);
						value = settings.to;
						if (typeof(settings.onComplete) == 'function') {
							settings.onComplete.call(self, value);
						}
					}
				}
				function render(value) {
					var formattedValue = settings.formatter.call(self, value, settings);
					$self.html(formattedValue);
				}
			});
		};
		jQuery.fn.countTo.defaults = {
			from: 0,               // the number the element should start at
			to: 0,                 // the number the element should end at
			speed: 1000,           // how long it should take to count between the target numbers
			refreshInterval: 100,  // how often the element should be updated
			decimals: 0,           // the number of decimal places to show
			formatter: formatter,  // handler for formatting the value before rendering
			onUpdate: null,        // callback method for every time the element is updated
			onComplete: null       // callback method for when the element finishes updating
		};
		function formatter(value, settings) {
			return value.toFixed(settings.decimals);
		};

	}); // end document ready

})( jQuery );




